Create one flag on the ecosystem (409 if the key exists)
Authenticate every request with Authorization: Bearer <token> — a JWT or API token.
Download OpenAPI JSONOverview
POST
/ecosystem/feature-flags/{id}ecosystemCreate one flag on the ecosystem (409 if the key exists)
Create a record in feature-flags.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- idpathstring
Request body
application/json · optional
- keystring
- enabledoptionalboolean
- descriptionoptionalstring
Example
{
"key": "string",
"enabled": false,
"description": "string"
}Responses
201
Created flag
- keystring
- enabledboolean
- descriptionstring
- createdAtstring
- updatedAtstring
Example
{
"key": "string",
"enabled": true,
"description": "string",
"createdAt": "string",
"updatedAt": "string"
}400
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}403
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}409
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X POST "https://api.agenticdeveloperhub.com/ecosystem/feature-flags/{id}" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"key": "string",
"enabled": false,
"description": "string"
}'JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/ecosystem/feature-flags/{id}", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: "{\n \"key\": \"string\",\n \"enabled\": false,\n \"description\": \"string\"\n}",
});
const data = await res.json();